## dunc 1.5

=== Makefile ===
all: dunc

bindir=$(DESTDIR)/usr/bin
mandir=$(DESTDIR)/usr/man
#docdir=$(DESTDIR)/usr/doc/dunc
version=1.5

clean:
	rm -rf *~

install:
	install -g root -o root -m 755 dunc $(bindir)
	perl -p -i -e 's/=V/$(version)/g' dunc.8
dunc: install

=== debian/changelog ===
dunc (1.5) unstable; urgency=low

  * 
  * Fixed bug in tutorial document handling

 -- Richard G. Roberto <richr@bear.com>  Sun, 14 Nov 1996 01:32:00 +0900

dunc (1.4) unstable; urgency=low

  * Fixed document directory references
  * modified dunc to deal with zipped docs

 -- Richard G. Roberto <richr@bear.com>  Sat, 13 Nov 1996 23:00:00 +0900

dunc (1.3) unstable; urgency=low

  * Fixed shell reference in generated script

 -- Richard G. Roberto <richr@bear.com>  Thu, 11 Nov 1996 11:00:00 +0900

Mon Nov 11 11:16:19 1996  Richard G. Roberto  <richr@bear.com>

	* Initial release

=== debian/control ===
Source: dunc
Section: admin
Priority: extra
Maintainer: Richard G. Roberto <richr@bear.com>
Standards-Version: 2.1.0.0

Package: dunc
Architecture: any
Depends: ae | editor, ash | bash | zsh, dialog (>= 0.9a), shellutils (>= 1.12), ppp (>= 2.2.0f), gzip
Suggests: setserial (>= 2.10) 
Description: Dial Up Networking Client - configuration utility
 This is a DUN client configuration utility for Debian GNU/Linux.
 It uses dialog as a front end to ash, so any ash compatable bourne
 shell clone should be able to run it.  It is not complete, but
 should automatically set up a ppp connection over a modem line for
 most vanilla ISP set ups.  There is no canned Microsoft(tm) DUN or
 RAS client support, but you can edit the scripts and config files
 created by hand to add it if you wish.  Alternatively, you can read
 the ppp HOWTO docs and can one yourself.  This comes with tutorials
 on chat, ppp, this utlity, and the dialog widgets.  This is designed
 for the newbie to help get ppp set up with minimal effort.  There
 should be canned configurations for Microsoft(tm) RAS & DUN clients
 by the next release (i.e. it will automatically setup a PAP/CHAP
 connection to a Windows NT(tm) or 95 RAS or DUN server).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

package=dunc

build:
	$(checkdir)
#	make

	touch build

clean:
	$(checkdir)
	-rm -f build
	make clean
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/usr/bin
	install -d debian/tmp/usr/doc/dunc
	make install DESTDIR=debian/tmp
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd $(package) *.tut
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## dunc 2.4

=== Makefile ===
all: dunc

bindir=$(DESTDIR)/usr/bin
mandir=$(DESTDIR)/usr/man
libdir=$(DESTDIR)/usr/lib/dunc
docdir=$(DESTDIR)/usr/doc/dunc
version=2.0

clean:
	rm -rf *~

install:
	install -g root -o root -m 755 dunc $(bindir)
	install -g root -o root -m 755 dppp $(bindir)
	install -g root -o root -m 755 shint2dialog.sh $(libdir)
#	perl -p -i -e 's/=V/$(version)/g' dunc.8
dunc: install

=== debian/changelog ===
dunc (2.4) unstable; urgency=medium

  * fixed .ppprc bug
  * fixed several other bugs
  * fixed lintian bugs

 -- John Hasler <john@dhh.gt.org>  Sat, 28 Feb 1998 19:00:00 +0500

dunc (2.3) unstable; urgency=medium

  * removed dependency on "ash"
  * fixed several bugs
  * new maintainer

 -- John Hasler <john@dhh.gt.org>  Fri, 1 Jan 1998 22:16:00 +0500

dunc (2.2) unstable; urgency=low

  * fixed problem where BASEDIR wasn't being created in dunc
  * fixed annoyance in dpp where the screen got cleared before
    the help could be read
  * updated the documentation

 -- Richard G. Roberto <richr@bear.com>  Sun, 8 June 1997 16:35:00 +0900

dunc (2.1) unstable; urgency=low

  * added dependency on package "ed" --fixed BUG#10258
  * added additional expert options
  * fixed all expert options inclusions
  * fixed "-x" mode of dppp

 -- Richard G. Roberto <richr@bear.com>  Sun, 8 June 1997 16:35:00 +0900

dunc (2.0) unstable; urgency=low

  * completely rewritten, added support for CHAP/PAP and NO authentication
  * rewrote the help system to use vue style helper tags
  * can now support multiple connections
  * added dppp command as a front end to starting connections
  * untested support for direct & direct unauthenticated connections
  * new UI style gives user more control
  * can now claim support for connecting to anything from '95 to Newtons
  * added stupid comments about Fig Newton support to the docs

 -- Richard G. Roberto <richr@bear.com>  Tue, 6 May 1997 16:17:00 +0900

=== debian/control ===
Source: dunc
Section: admin
Priority: extra
Maintainer: John Hasler <jhasler@debian.org>
Standards-Version: 2.1.2.2

Package: dunc
Architecture: all
Depends: ae, ed, dialog (>= 0.9a-8), shellutils (>= 1.12), ppp (>= 2.2.0f-20), gzip, findutils
Description: Dial Up Networking Client - configuration utility
 This is a DUN client configuration utility for Debian GNU/Linux.
 It uses dialog as a front end to ash, so any ash compatable bourne
 shell clone should be able to run it.  It is not complete, but
 should automatically set up a ppp connection over a modem line for
 most vanilla ISP set ups.  There is now canned Microsoft(tm) DUN or
 RAS client support!  This is designed for the newbie to help get 
 ppp set up with minimal effort.  There is also now support for a
 non-authenticated direct connection, which has been rumored to
 work with an Apple Newton.  Fig Newton support is planned for the
 next release.

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,7 @@
 	-rm -rf debian/tmp
 	install -d debian/tmp/usr/bin
 	install -d debian/tmp/usr/doc/dunc
+	install -d debian/tmp/usr/lib/dunc
 	make install DESTDIR=debian/tmp
 # There are no architecture-independent files to be uploaded
 # generated by this package.  If there were any they would be
@@ -47,11 +48,9 @@
 # Below here is fairly generic really
 
 binary:		binary-indep binary-arch
-# Must have debmake installed for this to work. Otherwise please copy
-# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
-	debstd $(package) *.tut
+	debstd *.tut
 	dpkg-gencontrol
-	chown -R root.root debian/tmp
+	chown -R root.root ./debian/tmp
 	chmod -R g-ws debian/tmp
 	dpkg --build debian/tmp ..
